Main Content

MATLAB Compiler SDK .NET Target Requirements

System and Product Requirements

You must have the MATLAB® and MATLAB Compiler™ products installed to install the MATLAB Compiler SDK™ product.

The MATLAB Compiler SDK .NET target is available only on Windows®.

For an up-to-date list of all the system and compiler software supported by MATLAB, MATLAB Compiler, and MATLAB Compiler SDK, see https://www.mathworks.com/support/compilers/current_release/.

Supported Microsoft .NET Framework Versions

Install the supported version of the Microsoft® .NET Framework. Your ability to use the latest MATLAB Compiler SDK functionality often depends on having the most current version of the framework installed.

MATLAB Compiler SDK supports version 4.0 of Microsoft .NET Framework.

Building a New Assembly

If you are building a new assembly you need .NET Framework version 4.0 or above (such as 4.5 or 4.6).

  • If you have both 4.x and an older version of .NET Framework (2x-3.x), you should be able to build the assembly.

  • If you have only an older version of .NET Framework (2.x-3.x), you need to install version 4.0 or above to build a new assembly.

Loading a Deployed Application

If you are loading a deployed application that references an assembly built with version 4.0 or above, you need .NET Framework version 4.0 or above (such as 4.5 or 4.6).

  • As long as you have .NET Framework version 4.0 or above installed, you can load a deployed application built with .NET Framework version 4.0 or above. This is true even if the .NET Framework used for building the assembly has a version higher than the one used for loading the application. The reason is that only features in .NET Framework version 4.0 are used when building the assembly.

  • If you have both 4.x and an older version of .NET Framework (2x-3.x), you can load a deployed application.

  • If you only have an older version of .NET Framework (2.x-3.x), you need to install version 4.0 or above to load a deployed application.

Building a .NET Application

Building .NET applications should not be impacted by which version of .NET Framework 4.x was used to build the assembly, provided that the version of Microsoft Visual Studio® supports .NET Framework version 4.0 or above.

MATLAB Compiler SDK .NET Limitations

Using addAssembly (External Interfaces)

.NET assemblies or DLLs built with MATLAB Compiler SDK cannot be loaded back into MATLAB with the .NET External Interface method addAssembly.

Serialization of MATLAB Objects Unsupported

There is no support in MATLAB Compiler SDK for serializing MATLAB objects from MATLAB into .NET code.

Path Modifications Required for Accessibility

To use some screen-readers or assistive technologies, such as JAWS®, you must add the following DLLs to your Windows path:

matlabroot\sys\java\jre\arch\jre\bin\JavaAccessBridge.dll
matlabroot\sys\java\jre\arch\jre\bin\WindowsAccessBridge.dll